import _objectSpread from "reshow-runtime/es/helpers/objectSpread2";
import _objectWithoutProperties from "reshow-runtime/es/helpers/objectWithoutProperties";
var _excluded = ["selectComponent", "inputProps"];
import { build, Field } from "react-atomic-molecule";
import Select from "../organisms/Select.mjs";
import { jsx as _jsx } from "react/jsx-runtime";
var SelectField = function SelectField(_ref) {
  var {
      selectComponent = Select,
      inputProps
    } = _ref,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/_jsx(Field, _objectSpread(_objectSpread({}, props), {}, {
    inputComponent: build(selectComponent)({
      inputProps,
      titleStyle: Styles.dropdownTitle,
      style: Styles.dropdown,
      iconStyle: Styles.dropdownIcon
    })
  }));
};
export default SelectField;
var Styles = {
  dropdownTitle: {
    paddingLeft: 10
  },
  dropdown: {
    border: "1px solid rgba(34,36,38,.15)",
    minHeight: 40,
    width: "100%"
  },
  dropdownIcon: {
    fill: "#ccc"
  }
};