import _objectSpread from "reshow-runtime/es/helpers/objectSpread2";
import _objectWithoutProperties from "reshow-runtime/es/helpers/objectWithoutProperties";
var _excluded = ["restProps"];
//@ts-check

import * as React from "react";
import DropdownUI from "../molecules/DropdownUI.mjs";
import { useDropdown } from "../../hooks/useDropdown.mjs";

/**
 * @param {any} props
 * @returns {React.ReactElement}
 */
import { jsx as _jsx } from "react/jsx-runtime";
var Dropdown = function Dropdown(props) {
  var _useDropdown = useDropdown(props),
    {
      restProps
    } = _useDropdown,
    nextProps = _objectWithoutProperties(_useDropdown, _excluded);
  return /*#__PURE__*/_jsx(DropdownUI, _objectSpread({}, _objectSpread(_objectSpread({}, restProps), nextProps)));
};
export default Dropdown;