import _asyncToGenerator from "reshow-runtime/es/helpers/asyncToGenerator";
var _PaginationController, _PaginationController2, _PaginationController3;
import { expect } from "chai";
import { render, act } from "reshow-unit";
import PaginationController from "../PaginationController.mjs";
import { jsx as _jsx } from "react/jsx-runtime";
describe("Test PaginationController", function () {
  it("simple test", function () {
    var wrap = render(_PaginationController || (_PaginationController = /*#__PURE__*/_jsx(PaginationController, {})));
    var html = wrap.html();
    expect(html).to.have.string("pagination");
  });
  it("test hide only one", /*#__PURE__*/_asyncToGenerator(function* () {
    var wrap;
    yield act(function () {
      return wrap = render(_PaginationController2 || (_PaginationController2 = /*#__PURE__*/_jsx(PaginationController, {
        hideOnlyOne: true
      })));
    }, 5);
    var html = wrap.html();
    expect(html).to.equal("");
  }));
  it("test have two pages with hideOnlyOne", function () {
    var wrap = render(_PaginationController3 || (_PaginationController3 = /*#__PURE__*/_jsx(PaginationController, {
      hideOnlyOne: true,
      total: 20
    })));
    var html = wrap.html();
    expect(html).to.have.string("11-20");
  });
});