import _classCallCheck from "reshow-runtime/es/helpers/classCallCheck";
import _createClass from "reshow-runtime/es/helpers/createClass";
import _assertThisInitialized from "reshow-runtime/es/helpers/assertThisInitialized";
import _inherits from "reshow-runtime/es/helpers/inherits";
import _createSuper from "reshow-runtime/es/helpers/createSuper";
import _defineProperty from "reshow-runtime/es/helpers/defineProperty";
import _asyncToGenerator from "reshow-runtime/es/helpers/asyncToGenerator";
import { PureComponent } from "react";
import { expect } from "chai";
import { render, act } from "reshow-unit";
import Select from "../Select.mjs";
import { jsx as _jsx } from "react/jsx-runtime";
describe("Test Select", function () {
  it("should reset value by assign empty string", /*#__PURE__*/_asyncToGenerator(function* () {
    var uFake;
    var TestComp = /*#__PURE__*/function (_PureComponent) {
      _inherits(TestComp, _PureComponent);
      var _super = _createSuper(TestComp);
      function TestComp(props) {
        var _this;
        _classCallCheck(this, TestComp);
        _this = _super.call(this, props);
        _defineProperty(_assertThisInitialized(_this), "state", {
          v: null
        });
        _defineProperty(_assertThisInitialized(_this), "setv", function (v) {
          return _this.setState({
            v
          });
        });
        uFake = _assertThisInitialized(_this);
        return _this;
      }
      _createClass(TestComp, [{
        key: "render",
        value: function render() {
          var _this2 = this;
          var {
            v
          } = this.state;
          return /*#__PURE__*/_jsx(Select, {
            ref: function ref(el) {
              return _this2.el = el;
            },
            value: v
          });
        }
      }]);
      return TestComp;
    }(PureComponent);
    var wrap = render( /*#__PURE__*/_jsx(TestComp, {}));
    yield act(function () {
      uFake.el.select({
        label: "mylabel",
        value: "myvalue"
      })();
    }, 5);
    expect(uFake.el.getValue()).to.equal("myvalue");
    yield act(function () {
      return uFake.setv("");
    }, 5);
    expect(uFake.el.getValue()).to.equal("");
  }));
});