"use strict";

var _interopRequireDefault = require("reshow-runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports["default"] = void 0;
var _objectSpread2 = _interopRequireDefault(require("reshow-runtime/helpers/objectSpread2"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("reshow-runtime/helpers/objectWithoutPropertiesLoose"));
var _reactAtomicMolecule = require("react-atomic-molecule");
var _Select = _interopRequireDefault(require("../organisms/Select.js"));
var _jsxRuntime = require("react/jsx-runtime");
var _excluded = ["selectComponent", "inputProps"];
var SelectField = function SelectField(_ref) {
  var _ref$selectComponent = _ref.selectComponent,
    selectComponent = _ref$selectComponent === void 0 ? _Select["default"] : _ref$selectComponent,
    inputProps = _ref.inputProps,
    props = (0, _objectWithoutPropertiesLoose2["default"])(_ref, _excluded);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactAtomicMolecule.Field, (0, _objectSpread2["default"])((0, _objectSpread2["default"])({}, props), {}, {
    inputComponent: (0, _reactAtomicMolecule.build)(selectComponent)({
      inputProps: inputProps,
      titleStyle: Styles.dropdownTitle,
      style: Styles.dropdown,
      iconStyle: Styles.dropdownIcon
    })
  }));
};
var _default = exports["default"] = SelectField;
var Styles = {
  dropdownTitle: {
    paddingLeft: 10
  },
  dropdown: {
    border: "1px solid rgba(34,36,38,.15)",
    minHeight: 40,
    width: "100%"
  },
  dropdownIcon: {
    fill: "#ccc"
  }
};
module.exports = exports.default;