"use strict";

var _interopRequireDefault = require("reshow-runtime/helpers/interopRequireDefault");
var _interopRequireWildcard = require("reshow-runtime/helpers/interopRequireWildcard");
exports.__esModule = true;
exports["default"] = void 0;
var _objectSpread2 = _interopRequireDefault(require("reshow-runtime/helpers/objectSpread2"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("reshow-runtime/helpers/objectWithoutPropertiesLoose"));
var React = _interopRequireWildcard(require("react"));
var _DropdownUI = _interopRequireDefault(require("../molecules/DropdownUI.js"));
var _useDropdown2 = require("../../hooks/useDropdown.js");
var _jsxRuntime = require("react/jsx-runtime");
var _excluded = ["restProps"]; //@ts-check
/**
 * @param {any} props
 * @returns {React.ReactElement}
 */
var Dropdown = function Dropdown(props) {
  var _useDropdown = (0, _useDropdown2.useDropdown)(props),
    restProps = _useDropdown.restProps,
    nextProps = (0, _objectWithoutPropertiesLoose2["default"])(_useDropdown, _excluded);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_DropdownUI["default"], (0, _objectSpread2["default"])({}, (0, _objectSpread2["default"])((0, _objectSpread2["default"])({}, restProps), nextProps)));
};
var _default = exports["default"] = Dropdown;
module.exports = exports.default;